Extending Qt Creator Manual | StatefulProjectConfiguration

Extending Qt Creator Manual 4.5.2

# StatefulProjectConfiguration Class

(ProjectExplorer::StatefulProjectConfiguration)

Inherits: | ProjectExplorer::ProjectConfiguration
Inherited By: | ProjectExplorer::RunConfiguration

- List of all members, including inherited members

## Public Functions

| StatefulProjectConfiguration() = default
virtual QString | disabledReason() const = 0
bool | isEnabled() const

- 13 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | enabledChanged()

- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Protected Functions

| StatefulProjectConfiguration(QObject *parent)
void | copyFrom(const StatefulProjectConfiguration *source)
void | setEnabled(bool enabled)

- 2 protected functions inherited from ProjectExplorer::ProjectConfiguration

## Member Function Documentation

### `[default]` StatefulProjectConfiguration::StatefulProjectConfiguration()

Default constructs an instance of StatefulProjectConfiguration.

### `[protected]` StatefulProjectConfiguration::StatefulProjectConfiguration(QObject *parent)

Default constructs an instance of StatefulProjectConfiguration.

### `[protected]` void StatefulProjectConfiguration::copyFrom(const StatefulProjectConfiguration *source)

### `[pure virtual]` QString StatefulProjectConfiguration::disabledReason() const

### `[signal]` void StatefulProjectConfiguration::enabledChanged()

### bool StatefulProjectConfiguration::isEnabled() const

### `[protected]` void StatefulProjectConfiguration::setEnabled(bool enabled)

See also isEnabled().